package com.huatek.busi.service;

import com.huatek.busi.entity.BusiCableSubTree;
import com.huatek.busi.entity.BusiOtherSubTree;
import com.huatek.busi.entity.BusiSiteTree;

import java.util.List;

public interface IBusiCableSubTreeService {

    Boolean insertSubTreeForType(BusiSiteTree busiSiteTree);

    List<BusiCableSubTree> findByEquipmentId(String id);

    List<BusiCableSubTree> getCableSubTreeByType(String equipmentType);

    Boolean updateNode(String nodeId, String newName);

    Boolean deleteNode(String nodeId);

    Boolean insertEquipmentNode(String nodeId, Integer counts);

    /**
     * @param pk 主键
     * @return BusiTransfromerSubTree
     * @throws
     * @Title: findByPK
     * @Description: 根据主键获取对象
     * @createDate: Jun 27, 2019 10:31:50 AM
     */
    BusiCableSubTree findByPK(String pk);
}
